MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001137XdebugUsage problems (Wrong Results)public2015-04-08 13:432015-06-15 10:07
Reporterherb@bobbingwide.com 
Assigned Toderick 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.3.2 
Target VersionFixed in Version2.3.3 
Summary0001137: Windows does not support %zu formatting for sprintf
DescriptionWith xdebug.trace_format=0
trace output contains unexpected zu
on a Windows 8 machine.

TRACE START [2015-04-08 12:38:10]
    0.0018 zu
TRACE END [2015-04-08 12:38:10]

Windows does not support the z prefix for the size.
See Note in https://msdn.microsoft.com/en-us/library/tcxf1dw6.aspx [^]

Steps To ReproduceThis should create the problem

<?php xdebug_start_trace();
Additional InformationSpecific source line causing this problem.

fprintf(context->trace_file, "%10zu", zend_memory_usage(0 TSRMLS_CC));

in xdebug_trace_textual_write_footer()
in https://github.com/xdebug/xdebug/blob/master/xdebug_trace_textual.c [^]

I've not checked for other uses.
TagsNo tags attached.
Operating SystemWindows 8
PHP Version5.5.15-5.5.19
Attached Files

- Relationships

-  Notes
(0003120)
derick (administrator)
2015-06-15 10:07

Fixed for Xdebug 2.3.3, and 3.0dev

- Issue History
Date Modified Username Field Change
2015-04-08 13:43 herb@bobbingwide.com New Issue
2015-06-15 10:07 derick Note Added: 0003120
2015-06-15 10:07 derick Status new => closed
2015-06-15 10:07 derick Assigned To => derick
2015-06-15 10:07 derick Resolution open => fixed
2015-06-15 10:07 derick Fixed in Version => 2.3.3
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker